Json::Reader Class Reference

Unserialize a JSON document into a Value. More...

`#include <json.h>`

## Public Types

typedef char | Char
typedef const Char * | Location

## Public Member Functions

| Reader ()
| Constructs a Reader allowing all features for parsing.
| Reader (const Features &features)
| Constructs a Reader allowing the specified feature set for parsing.
bool | parse (const std::string &document, Value &root, bool collectComments=true)
| Read a Value from a JSON document. More...
bool | parse (const char *beginDoc, const char *endDoc, Value &root, bool collectComments=true)
| Read a Value from a JSON document. More...
bool | parse (std::istream &is, Value &root, bool collectComments=true)
| Parse from input stream. More...
JSONCPP_DEPRECATED("Use getFormattedErrorMessages instead") std std::string | getFormattedErrorMessages () const
| Returns a user friendly string that list errors in the parsed document. More...

## Detailed Description

Unserialize a JSON document into a Value.

## Member Function Documentation

std::string Json::Reader::getFormattedErrorMessages | ( |  | ) | const

Returns a user friendly string that list errors in the parsed document.

Returns
  Formatted error message with the list of errors with their location in the parsed document. An empty string is returned if no error occurred during parsing.

Deprecated:
  Use getFormattedErrorMessages() instead (typo fix).

Returns a user friendly string that list errors in the parsed document.

Returns
  Formatted error message with the list of errors with their location in the parsed document. An empty string is returned if no error occurred during parsing.

bool Json::Reader::parse | ( | const std::string & | document,
|  | Value & | root,
|  | bool | collectComments = `true`
| ) |  |

Read a Value from a JSON document.

Parameters

  document | UTF-8 encoded string containing the document to read.
  root | [out] Contains the root value of the document if it was successfully parsed.
  collectComments | `true` to collect comment and allow writing them back during serialization, `false` to discard comments. This parameter is ignored if Features::allowComments_ is `false`.

Returns
  `true` if the document was successfully parsed, `false` if an error occurred.

bool Json::Reader::parse | ( | const char * | beginDoc,
|  | const char * | endDoc,
|  | Value & | root,
|  | bool | collectComments = `true`
| ) |  |

Read a Value from a JSON document.

Parameters

  beginDoc | Pointer on the beginning of the UTF-8 encoded string of the document to read.
  endDoc | Pointer on the end of the UTF-8 encoded string of the document to read. \ Must be >= beginDoc.
  root | [out] Contains the root value of the document if it was successfully parsed.
  collectComments | `true` to collect comment and allow writing them back during serialization, `false` to discard comments. This parameter is ignored if Features::allowComments_ is `false`.

Returns
  `true` if the document was successfully parsed, `false` if an error occurred.

bool Json::Reader::parse | ( | std::istream & | is,
|  | Value & | root,
|  | bool | collectComments = `true`
| ) |  |

Parse from input stream.

See also
  Json::operator>>(std::istream&, Json::Value&).

The documentation for this class was generated from the following files:

- json.h
- jsoncpp.cpp